rte_cryptodev_symmetric_capability(3)

NAME
rte_cryptodev_symmetric_capability

SYNOPSIS

#include <rte_cryptodev.h>

  Data Fields

enum rte_crypto_sym_xform_type xform_type

Detailed Description

Symmetric Crypto Capability

Definition at line 107 of file rte_cryptodev.h.

Field Documentation

  enum rte_crypto_sym_xform_type xform_type
Transform type : Authentication / Cipher / AEAD

Definition at line 108 of file rte_cryptodev.h.

  enum rte_crypto_auth_algorithm algo
authentication algorithm

Definition at line 112 of file rte_cryptodev.h.

  uint16_t block_size
algorithm block size

Definition at line 114 of file rte_cryptodev.h.

  struct rte_crypto_param_range key_size
auth key size range

cipher key size range

AEAD key size range

Definition at line 116 of file rte_cryptodev.h.

  struct rte_crypto_param_range digest_size
digest size range

Definition at line 118 of file rte_cryptodev.h.

  struct rte_crypto_param_range aad_size
Additional authentication data size range

Definition at line 120 of file rte_cryptodev.h.

  struct rte_crypto_param_range iv_size
Initialisation vector data size range

Definition at line 122 of file rte_cryptodev.h.

  struct { ... } auth
Symmetric Authentication transform capabilities

  enum rte_crypto_cipher_algorithm algo
cipher algorithm

Definition at line 127 of file rte_cryptodev.h.

  uint32_t dataunit_set
Supported data-unit lengths: RTE_CRYPTO_CIPHER_DATA_UNIT_LEN_* bits or 0 for lengths defined in the algorithm standard.

Definition at line 135 of file rte_cryptodev.h.

  struct { ... } cipher
Symmetric Cipher transform capabilities

  enum rte_crypto_aead_algorithm algo
AEAD algorithm

Definition at line 144 of file rte_cryptodev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.